Package org.apache.tomcat.util.http.fileupload.impl

# Class SizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.FileUploadException
org.apache.tomcat.util.http.fileupload.impl.SizeException
org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class SizeLimitExceededException extends SizeException
Thrown to indicate that the request size exceeds the configured maximum.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SizeLimitExceededException(String message, long actual, long permitted)`
  Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

- ## Method Summary

  ### Methods inherited from class org.apache.tomcat.util.http.fileupload.impl.SizeException

  `getActualSize, getPermittedSize`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SizeLimitExceededException

    public SizeLimitExceededException(String message, long actual, long permitted)
    Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.
    Parameters:
      `message` - The detail message.
      `actual` - The actual request size.
      `permitted` - The maximum permitted request size.